Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - linux-zen-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: linux-zen-git 4.9.0+635573+g4f4d49c2f303-1

Git Clone URL: https://aur-dev.archlinux.org/linux-zen-git.git (read-only)
Package Base: linux-zen-git
Description: Featureful kernel including various new features, code and optimizations to better suit desktops
Upstream URL: https://github.com/damentz/zen-kernel
Licenses: GPL2
Conflicts: linux-zen
Provides: linux-zen, linux-zen-git
Submitter: ilikenwf
Maintainer: ilikenwf (damentz, heftig)
Last Packager: ilikenwf
Votes: 24
Popularity: 0.000157
First Submitted: 2015-08-10 23:27
Last Updated: 2016-12-26 05:50

Dependencies (7)

Required by (4)

Sources (3)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

ilikenwf commented on 2016-12-26 02:36

Ok, updated the build.

If you have an existing src/build directory with an existing .config, the script will back it up, make clean the build directory, copy it back, and then give you the option to continue.

Likewise, if you have a saved kernel config named zen-config in the same top level directory as PKGBUILD, the script will grab that config and use it as the .config, and then offer to continue.

alwyn commented on 2016-12-23 08:51

Gotcha, it seems fixed now (y), thanks!

ilikenwf commented on 2016-12-22 19:35

It's because we use commit hashes for versioning...it sometimes confuses pacaur and yaourt.

alwyn commented on 2016-12-22 14:34

Hi, since the last update (18th), every time I check for updates with pacaur it tries to update this package even though I most certainly have it already installed (with modifications to the config only). Also see https://bpaste.net/show/43440e97c724 (this happens every time).

shoober420 commented on 2016-10-23 03:02

I finally figured out what it was. Fricking ACPI! I had it disabled in BIOS because I'm derpy. Once I enabled it in BIOS, I was able to boot again with the latest 4.8.4! I was able to boot with the acpi=off kernel line parameter when it was disabled in BIOS, but then I was getting irq errors at boot. There must have been some serious changes in the 4.8.2 kernel, but all is good now. I should have had ACPI enabled anyway.

shoober420 commented on 2016-10-20 19:36

So I ran mkinitcpio, reinstalled grub and ran grub-mkconfig, and also tried various different kernels to no success. I even uninstalled my video drivers and added nomodeset to the thingy to no avail. I had to install the LTS kernel to finally get it to boot. I would post about this in the forums but I'm kind of banned. I'm hoping the new 4.8.3 kernel fixes this.

shoober420 commented on 2016-10-17 04:30

4.8.2 freezes at boot when loading initial ramdisk. This also happens on the official ARCH kernel as well.

ilikenwf commented on 2016-09-14 16:55

Updated, sorry!

ilikenwf commented on 2016-09-14 14:40

Seems I accidentally pushed my own "play" branch. I will remove that stuff next push, but until then you should remove it.

Best commented on 2016-09-14 13:47

No, does not work with fresh src/build dir.
What are is suppose to do?

+ export CFLAGS=$CFLAGS:" -flto"
+ export CXXFLAGS=$CXXFLAGS:" -flto"
+ export LDFLAGS=$LDFLAGS:" -flto"
+
+ ./scripts/config --disable function_tracer \
+ --disable function_graph_tracer \
+ --disable stack_tracer --enable lto_menu \
+ --disable lto_disable \
+ --disable gcov \
+ --disable kallsyms_all \
+ --disable modversions

very broken for me with this..